﻿#!/usr/bin/python
# -*- coding: utf-8 -*-
#2018-12-01 Pausetaste eingefügt
#2019-05-19 automatsches lesen der Dateinamen vom Stick
#2019-06-12 Autostart über ~/.config/autostart OK
#2019-06-26 Startbild über "00.jpg"
#2019-09-30 Lebensblinker / Stick-Kontrolle
# Variante für den Funkamateur

import RPi.GPIO as GPIO
import os
import sys
import subprocess
import time
from subprocess import Popen
from pathlib import Path

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)	#Fehlermeldungen unterdrücken
LED1 = 21 #"Lebensblinker"

#Digitale Ausgänge
GPIO.setup(LED1, GPIO.OUT) #LED 1 "bereit"
#Digitale Eingänge
GPIO.setup(4, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)  #Ta1
GPIO.setup(17, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta2
GPIO.setup(18, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta3
GPIO.setup(27, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta4
GPIO.setup(22, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta5
GPIO.setup(23, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta6
GPIO.setup(24, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta7
GPIO.setup(25, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) #Ta8
GPIO.setup(5, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)  #Ta9
GPIO.setup(6, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)  #Ta10
GPIO.setup(12, GPIO.IN,) 				#Ebenenschalter
GPIO.setup(13, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)	#Breaktaster
GPIO.setup(16, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)	#Ta11 Reserve
GPIO.setup(19, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)	#Ta15 Pause
#--------------------------------------------
time.sleep(2) # wichtig!

#Auslesen der möglichen Mediavarianten
aud01 = os.path.isfile("/media/pi/STICK/RAS/01.mp3")
vid01 = os.path.isfile("/media/pi/STICK/RAS/01.mp4")
pic01 = os.path.isfile("/media/pi/STICK/RAS/01.jpg")

aud02 = os.path.isfile('/media/pi/STICK/RAS/02.mp3')
vid02 = os.path.isfile('/media/pi/STICK/RAS/02.mp4')
pic02 = os.path.isfile('/media/pi/STICK/RAS/02.jpg')

aud03 = os.path.isfile('/media/pi/STICK/RAS/03.mp3')
vid03 = os.path.isfile('/media/pi/STICK/RAS/03.mp4')
pic03 = os.path.isfile('/media/pi/STICK/RAS/03.jpg')

aud04 = os.path.isfile('/media/pi/STICK/RAS/04.mp3')
vid04 = os.path.isfile('/media/pi/STICK/RAS/04.mp4')
pic04 = os.path.isfile('/media/pi/STICK/RAS/04.jpg')

aud05 = os.path.isfile('/media/pi/STICK/RAS/05.mp3')
vid05 = os.path.isfile('/media/pi/STICK/RAS/05.mp4')
pic05 = os.path.isfile('/media/pi/STICK/RAS/05.jpg')

aud06 = os.path.isfile('/media/pi/STICK/RAS/06.mp3')
vid06 = os.path.isfile('/media/pi/STICK/RAS/06.mp4')
pic06 = os.path.isfile('/media/pi/STICK/RAS/06.jpg')

aud07 = os.path.isfile('/media/pi/STICK/RAS/07.mp3')
vid07 = os.path.isfile('/media/pi/STICK/RAS/07.mp4')
pic07 = os.path.isfile('/media/pi/STICK/RAS/07.jpg')

aud08 = os.path.isfile('/media/pi/STICK/RAS/08.mp3')
vid08 = os.path.isfile('/media/pi/STICK/RAS/08.mp4')
pic08 = os.path.isfile('/media/pi/STICK/RAS/08.jpg')


aud09 = os.path.isfile('/media/pi/STICK/RAS/09.mp3')
vid09 = os.path.isfile('/media/pi/STICK/RAS/09.mp4')
pic09 = os.path.isfile('/media/pi/STICK/RAS/09.jpg')

aud10 = os.path.isfile('/media/pi/STICK/RAS/10.mp3')
vid10 = os.path.isfile('/media/pi/STICK/RAS/10.mp4')
pic10 = os.path.isfile('/media/pi/STICK/RAS/10.jpg')
#--------------------------------------------------
aud01a = os.path.isfile('/media/pi/STICK/RAS/01a.mp3')
vid01a = os.path.isfile('/media/pi/STICK/RAS/01a.mp4')
pic01a = os.path.isfile('/media/pi/STICK/RAS/01a.jpg')

aud02a = os.path.isfile('/media/pi/STICK/RAS/02a.mp3')
vid02a = os.path.isfile('/media/pi/STICK/RAS/02a.mp4')
pic02a = os.path.isfile('/media/pi/STICK/RAS/02a.jpg')

aud03a = os.path.isfile('/media/pi/STICK/RAS/03a.mp3')
vid03a = os.path.isfile('/media/pi/STICK/RAS/03a.mp4')
pic03a = os.path.isfile('/media/pi/STICK/RAS/03a.jpg')

aud04a = os.path.isfile('/media/pi/STICK/RAS/04a.mp3')
vid04a = os.path.isfile('/media/pi/STICK/RAS/04a.mp4')
pic04a = os.path.isfile('/media/pi/STICK/RAS/04a.jpg')

aud05a = os.path.isfile('/media/pi/STICK/RAS/05a.mp3')
vid05a = os.path.isfile('/media/pi/STICK/RAS/05a.mp4')
pic05a = os.path.isfile('/media/pi/STICK/RAS/05a.jpg')

aud06a = os.path.isfile('/media/pi/STICK/RAS/06a.mp3')
vid06a = os.path.isfile('/media/pi/STICK/RAS/06a.mp4')
pic06a = os.path.isfile('/media/pi/STICK/RAS/06a.jpg')

aud07a = os.path.isfile('/media/pi/STICK/RAS/07a.mp3')
vid07a = os.path.isfile('/media/pi/STICK/RAS/07a.mp4')
pic07a = os.path.isfile('/media/pi/STICK/RAS/07a.jpg')

aud08a = os.path.isfile('/media/pi/STICK/RAS/08a.mp3')
vid08a = os.path.isfile('/media/pi/STICK/RAS/08a.mp4')
pic08a = os.path.isfile('/media/pi/STICK/RAS/08a.jpg')

aud09a = os.path.isfile('/media/pi/STICK/RAS/09a.mp3')
vid09a = os.path.isfile('/media/pi/STICK/RAS/09a.mp4')
pic09a = os.path.isfile('/media/pi/STICK/RAS/09a.jpg')

aud10a = os.path.isfile('/media/pi/STICK/RAS/10a.mp3')
vid10a = os.path.isfile('/media/pi/STICK/RAS/10a.mp4')
pic10a = os.path.isfile('/media/pi/STICK/RAS/10a.jpg')

#Standard-Platzhalter
STCK00 = ("/media/pi/STICK/RAS/00.jpg")
STCK01 = ("/media/pi/STICK/RAS/00.jpg")
STCK02 = ("/media/pi/STICK/RAS/00.jpg")
STCK03 = ("/media/pi/STICK/RAS/00.jpg")
STCK04 = ("/media/pi/STICK/RAS/00.jpg")
STCK05 = ("/media/pi/STICK/RAS/00.jpg")
STCK06 = ("/media/pi/STICK/RAS/00.jpg")
STCK07 = ("/media/pi/STICK/RAS/00.jpg")
STCK08 = ("/media/pi/STICK/RAS/00.jpg")
STCK09 = ("/media/pi/STICK/RAS/00.jpg")
STCK10 = ("/media/pi/STICK/RAS/00.jpg")
STCK01a = ("/media/pi/STICK/RAS/00.jpg")
STCK02a = ("/media/pi/STICK/RAS/00.jpg")
STCK03a = ("/media/pi/STICK/RAS/00.jpg")
STCK04a = ("/media/pi/STICK/RAS/00.jpg")
STCK05a = ("/media/pi/STICK/RAS/00.jpg")
STCK06a = ("/media/pi/STICK/RAS/00.jpg")
STCK07a = ("/media/pi/STICK/RAS/00.jpg")
STCK08a = ("/media/pi/STICK/RAS/00.jpg")
STCK09a = ("/media/pi/STICK/RAS/00.jpg")
STCK10a = ("/media/pi/STICK/RAS/00.jpg")

#Zuordnen der gefundenen Mediadatei zur Buttonvariablen
if aud01:
    STCK01 = ("/media/pi/STICK/RAS/01.mp3")
if vid01:
    STCK01 = ("/media/pi/STICK/RAS/01.mp4")
if pic01:
    STCK01 = ("/media/pi/STICK/RAS/01.jpg")

if aud02:
    STCK02 = ("/media/pi/STICK/RAS/02.mp3")
if vid02:
    STCK02 = ("/media/pi/STICK/RAS/02.mp4")
if pic02:
    STCK02 = ("/media/pi/STICK/RAS/02.jpg")

if aud03:
    STCK03 = ("/media/pi/STICK/RAS/03.mp3")
if vid03:
    STCK03 = ("/media/pi/STICK/RAS/03.mp4")
if pic03:
    STCK03 = ("/media/pi/STICK/RAS/03.jpg")

if aud04:
    STCK04 = ("/media/pi/STICK/RAS/04.mp3")
if vid04:
    STCK04 = ("/media/pi/STICK/RAS/04.mp4")
if pic04:
    STCK04 = ("/media/pi/STICK/RAS/04.jpg")

if aud05:
    STCK05 = ("/media/pi/STICK/RAS/05.mp3")
if vid05:
    STCK05 = ("/media/pi/STICK/RAS/05.mp4")
if pic05:
    STCK05 = ("/media/pi/STICK/RAS/05.jpg")

if aud06:
    STCK06 = ("/media/pi/STICK/RAS/06.mp3")
if vid06:
    STCK06 = ("/media/pi/STICK/RAS/06.mp4")
if pic06:
    STCK06 = ("/media/pi/STICK/RAS/06.jpg")

if aud07:
    STCK07 = ("/media/pi/STICK/RAS/07.mp3")
if vid07:
    STCK07 = ("/media/pi/STICK/RAS/07.mp4")
if pic07:
    STCK07 = ("/media/pi/STICK/RAS/07.jpg")

if aud08:
    STCK08 = ("/media/pi/STICK/RAS/08.mp3")
if vid08:
    STCK08 = ("/media/pi/STICK/RAS/08.mp4")
if pic08:
    STCK08 = ("/media/pi/STICK/RAS/08.jpg")

if aud09:
    STCK09 = ("/media/pi/STICK/RAS/09.mp3")
if vid09:
    STCK09 = ("/media/pi/STICK/RAS/09.mp4")
if pic09:
    STCK09 = ("/media/pi/STICK/RAS/09.jpg")

if aud10:
    STCK10 = ("/media/pi/STICK/RAS/10.mp3")
if vid10:
    STCK10 = ("/media/pi/STICK/RAS/10.mp4")
if pic10:
    STCK10 = ("/media/pi/STICK/RAS/10.jpg")
#-------------------------------------------
if aud01a:
    STCK01a = ("/media/pi/STICK/RAS/01a.mp3")
if vid01a:
    STCK01a = ("/media/pi/STICK/RAS/01a.mp4")
if pic01a:
    STCK01a = ("/media/pi/STICK/RAS/01a.jpg")

if aud02a:
    STCK02a = ("/media/pi/STICK/RAS/02a.mp3")
if vid02a:
    STCK02a = ("/media/pi/STICK/RAS/02a.mp4")
if pic02a:
    STCK02a = ("/media/pi/STICK/RAS/02a.jpg")

if aud03a:
    STCK03a = ("/media/pi/STICK/RAS/03a.mp3")
if vid03a:
    STCK03a = ("/media/pi/STICK/RAS/03a.mp4")
if pic03a:
    STCK03a = ("/media/pi/STICK/RAS/03a.jpg")

if aud04a:
    STCK04a = ("/media/pi/STICK/RAS/04a.mp3")
if vid04a:
    STCK04a = ("/media/pi/STICK/RAS/04a.mp4")
if pic04a:
    STCK04a = ("/media/pi/STICK/RAS/04a.jpg")

if aud05a:
    STCK05a = ("/media/pi/STICK/RAS/05a.mp3")
if vid05a:
    STCK05a = ("/media/pi/STICK/RAS/05a.mp4")
if pic05a:
    STCK05a = ("/media/pi/STICK/RAS/05a.jpg")

if aud06a:
    STCK06a = ("/media/pi/STICK/RAS/06a.mp3")
if vid06a:
    STCK06a = ("/media/pi/STICK/RAS/06a.mp4")
if pic06a:
    STCK06a = ("/media/pi/STICK/RAS/06a.jpg")

if aud07a:
    STCK07a = ("/media/pi/STICK/RAS/07a.mp3")
if vid07a:
    STCK07a = ("/media/pi/STICK/RAS/07a.mp4")
if pic07a:
    STCK07a = ("/media/pi/STICK/RAS/07a.jpg")

if aud08a:
    STCK08a = ("/media/pi/STICK/RAS/08a.mp3")
if vid08a:
    STCK08a = ("/media/pi/STICK/RAS/08a.mp4")
if pic08a:
    STCK08a = ("/media/pi/STICK/RAS/08a.jpg")

if aud09a:
    STCK09a = ("/media/pi/STICK/RAS/09a.mp3")
if vid09a:
    STCK09a = ("/media/pi/STICK/RAS/09a.mp4")
if pic09a:
    STCK09a = ("/media/pi/STICK/RAS/09a.jpg")

if aud10a:
    STCK10a = ("/media/pi/STICK/RAS/10a.mp3")
if vid10a:
    STCK10a = ("/media/pi/STICK/RAS/10a.mp4")
if pic10a:
    STCK10a = ("/media/pi/STICK/RAS/10a.jpg")

#Ausgabe der Zuordnung - nur zur Kontrolle
print("STCK00= " + STCK00)
print("STCK01= " + STCK01)
print("STCK02= " + STCK02)
print("STCK03= " + STCK03)
print("STCK04= " + STCK04)
print("STCK05= " + STCK05)
print("STCK06= " + STCK06)
print("STCK07= " + STCK07)
print("STCK08= " + STCK08)
print("STCK09= " + STCK09)
print("STCK10= " + STCK10)
print("STCK01a= " + STCK01a)
print("STCK02a= " + STCK02a)
print("STCK03a= " + STCK03a)
print("STCK04a= " + STCK04a)
print("STCK05a= " + STCK05a)
print("STCK06a= " + STCK06a)
print("STCK07a= " + STCK07a)
print("STCK08a= " + STCK08a)
print("STCK09a= " + STCK09a)
print("STCK10a= " + STCK10a)
#--------------------------------------------

last_state1 = False
last_state2 = False
last_state3 = False
last_state4 = False
last_state5 = False
last_state6 = False
last_state7 = False
last_state8 = False
last_state9 = False
last_state10 = False
last_state12 = False
last_state1a = False
last_state2a = False
last_state3a = False
last_state4a = False
last_state5a = False
last_state6a = False
last_state7a = False
last_state8a = False
last_state9a = False
last_state10a = False

input_state1 = True
input_state2 = True
input_state3 = True
input_state4 = True
input_state5 = True
input_state6 = True
input_state7 = True
input_state8 = True
input_state9 = True
input_state10 = True
input_state12 = True

input_state1a = True
input_state2a = True
input_state3a = True
input_state4a = True
input_state5a = True
input_state6a = True
input_state7a = True
input_state8a = True
input_state9a = True
input_state10a = True

Ta_pau = False
player = False
omxc = None
Stat_omxc = 0
Stat_pau = False
Merker = 0
STICK = 0
k = 0 #Zähler Lebendblinker

#Prüfen ob STICK steckt (00.jpg ist vorhanden)
test_file = Path("/media/pi/STICK/RAS/00.jpg")
if test_file.is_file():
    STICK = 1
#   print("STICK= "+ str(STICK)) 

quit_audio = False
time.sleep(2)

#Startbild anzeigen
subprocess.Popen(['feh', '-F', '-Z', STCK00])

# Beginn der zyklischen Bearbeitung
# Geht nur wenn Stick steckt und 00.jpg vorhanden ist.
while STICK:
#Lebendblinker
    k = k + 1
    if k == 22:
        GPIO.output(LED1,True)
        time.sleep(0.03)
        k = 0
    else:
        GPIO.output(LED1,False)
        time.sleep(0.1)
#----------------------------------------
    #Read states of inputs
    input_state1 = GPIO.input(4)    #Ta1
    input_state2 = GPIO.input(17)   #Ta2
    input_state3 = GPIO.input(18)   #Ta3
    input_state4 = GPIO.input(27)   #Ta4
    input_state5 = GPIO.input(22)   #Ta5
    input_state6 = GPIO.input(23)   #Ta6
    input_state7 = GPIO.input(24)   #Ta7
    input_state8 = GPIO.input(25)   #Ta8
    input_state9 = GPIO.input(5)    #Ta9
    input_state10 = GPIO.input(6)   #Ta10
    input_state11 = GPIO.input(12)  #Ebene2
    input_state13 = GPIO.input(16)  #Res.
    quit_audio = GPIO.input(13)    #Break
    Ta_pau = GPIO.input(19)        #Pause

#Ebenenschalter aktiv
    input_state1a = GPIO.input(4) and input_state11
    input_state2a = GPIO.input(17) and input_state11
    input_state3a = GPIO.input(18) and input_state11
    input_state4a = GPIO.input(27) and input_state11
    input_state5a = GPIO.input(22) and input_state11
    input_state6a = GPIO.input(23) and input_state11
    input_state7a = GPIO.input(24) and input_state11
    input_state8a = GPIO.input(25) and input_state11
    input_state9a = GPIO.input(5) and input_state11
    input_state10a = GPIO.input(6) and input_state11

#------------------------------
# Taster 1 - Ein /// Umschalter Aus - mp3/mp4
    if input_state1 != last_state1 != input_state11 and not pic01:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")

        if not input_state1:
            omxc = Popen(['omxplayer', '-b', STCK01],stdin=subprocess.PIPE)
            player = True
#-------------
# Taster 1 - Ein /// Umschalter Ein- mp3/mp4
    if input_state1a != last_state1a  and not pic01a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state1a:
            omxc = Popen(['omxplayer', '-b', STCK01a],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 2 - Ein /// Umschalter Aus - mp3/mp4
    if input_state2 != last_state2!= input_state11 and not pic02:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state2:
            omxc = Popen(['omxplayer', '-b', STCK02],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 2 - Ein /// Umschalter Ein - mp3/mp4
    if input_state2a != last_state2a and not pic02a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state2a:
            omxc = Popen(['omxplayer', '-b', STCK02a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 3 - Ein /// Umschalter Aus - mp3/mp4
    if input_state3 != last_state3!= input_state11 and not pic03:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")

        if not input_state3:
            omxc = Popen(['omxplayer', '-b', STCK03],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 3 - Ein /// Umschalter Ein
    if input_state3a != last_state3a and not pic03a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state3a:
            omxc = Popen(['omxplayer', '-b', STCK03a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 4 - Ein /// Umschalter Aus - mp3/mp4
    if input_state4 != last_state4!= input_state11 and not pic04:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state4:
            omxc = Popen(['omxplayer', '-b', STCK04],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 4 - Ein /// Umschalter Ein - mp3/mp4
    if input_state4a != last_state4a and not pic04a:
        if player:
            os.system('killall omxplayer.bin')
        if not input_state4a:
            omxc = Popen(['omxplayer', '-b', STCK04a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 5 - Ein /// Umschalter Aus - mp3/mp4 
    if input_state5 != last_state5!= input_state11 and not pic05:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state5:
            omxc = Popen(['omxplayer', '-b', STCK05],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 5 - Ein /// Umschalter Ein - mp3/mp4
    if input_state5a != last_state5a and not pic05a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state5a:
            omxc = Popen(['omxplayer', '-b', STCK05a],stdin=subprocess.PIPE) 
            player = True
#------------------------------
# Taster 6 - Ein /// Umschalter Aus - mp3/mp4
    if input_state6 != last_state6!= input_state11 and not pic06:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state6:
            omxc = Popen(['omxplayer', '-b', STCK06],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 6 - Ein /// Umschalter Ein - mp3/mp4
    if input_state6a != last_state6a and not pic06a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state6a:
            omxc = Popen(['omxplayer', '-b', STCK06a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 7 - Ein /// Umschalter Aus - mp3/mp4
    if input_state7 != last_state7!= input_state11 and not pic07:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state7:
            omxc = Popen(['omxplayer', '-b', STCK07],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 7 - Ein /// Umschalter Ein - mp3/mp4
    if input_state7a != last_state7a and not pic07a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state7a:
            omxc = Popen(['omxplayer', '-b', STCK07a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 8 - Ein /// Umschalter Aus - mp3/mp4
    if input_state8 != last_state8!= input_state11 and not pic08:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state8:
            omxc = Popen(['omxplayer', '-b', STCK08],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 8 - Ein /// Umschalter Ein - mp3/mp4
    if input_state8a != last_state8a and not pic08a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state8a:
            omxc = Popen(['omxplayer', '-b', STCK08a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 9 - Ein /// Umschalter Aus - mp3/mp4
    if input_state9 != last_state9!= input_state11 and not pic09:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state9:
            omxc = Popen(['omxplayer', '-b', STCK09],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 9 - Ein /// Umschalter Ein - mp3/mp4
    if input_state9a != last_state9a and not pic09a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state9a:
            omxc = Popen(['omxplayer', '-b', STCK09a],stdin=subprocess.PIPE)
            player = True
#------------------------------
# Taster 10 - Ein /// Umschalter Aus - mp3/mp4
    if input_state10 != last_state10!= input_state11 and not pic10:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state10:
            omxc = Popen(['omxplayer', '-b', STCK10],stdin=subprocess.PIPE)
            player = True
        #-------------
# Taster 10 - Ein /// Umschalter Ein - mp3/mp4
    if input_state10a != last_state10a and not pic10a:
        if player:
            os.system('killall omxplayer.bin')
            os.system("killall feh")
        if not input_state10a:
            omxc = Popen(['omxplayer', '-b', STCK10a],stdin=subprocess.PIPE)
            player = True

#     PIC - PIC -PIC      PIC - PIC -PIC     PIC - PIC -PIC

# Taster 1 - Ein /// Umschalter Aus- pic 
    if input_state1 != last_state1 != input_state11 and pic01:
        os.system("killall feh")
        time.sleep(0.5)
        subprocess.Popen(['feh', '-F', '-Z', STCK01])
        print(STCK01)
        if player:
            os.system('killall omxplayer.bin')

# Taster 1 - Ein /// Umschalter Ein- pic 
    if input_state1a != last_state1a and pic01a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK01a])
        print(STCK01a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 2 - Ein /// Umschalter Aus- pic 
    if input_state2 != last_state2 != input_state11 and pic02:
        os.system("killall feh")
        time.sleep(0.5)
        subprocess.Popen(['feh', '-F', '-Z', STCK02])
        print(STCK02)
        if player:
            os.system('killall omxplayer.bin')

# Taster 2 - Ein /// Umschalter Ein- pic 
    if input_state2a != last_state2a and pic02a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK02a])
        print(STCK02a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 3 - Ein /// Umschalter Aus- pic 
    if input_state3 != last_state3 != input_state11 and pic03:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK03])
        print(STCK03)
        if player:
            os.system('killall omxplayer.bin')

# Taster 3 - Ein /// Umschalter Ein- pic 
    if input_state3a != last_state3a and pic03a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK03a])
        print(STCK03a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 4 - Ein /// Umschalter Aus- pic 
    if input_state4 != last_state4 != input_state11 and pic04:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK04])
        print(STCK04)
        if player:
            os.system('killall omxplayer.bin')

# Taster 4 - Ein /// Umschalter Ein- pic 
    if input_state4a != last_state4a and pic04a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK04a])
        print(STCK04a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 5 - Ein /// Umschalter Aus- pic 
    if input_state5 != last_state5 != input_state11 and pic05:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK05])
        print(STCK05)
        if player:
            os.system('killall omxplayer.bin')

# Taster 5 - Ein /// Umschalter Ein- pic 
    if input_state5a != last_state5a and pic05a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK05a])
        print(STCK05a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 6 - Ein /// Umschalter Aus- pic 
    if input_state6 != last_state6 != input_state11 and pic06:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK06])
        print(STCK06)
        if player:
            os.system('killall omxplayer.bin')

# Taster 6 - Ein /// Umschalter Ein- pic 
    if input_state6a != last_state6a and pic06a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK06a])
        print(STCK06a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 7 - Ein /// Umschalter Aus- pic 
    if input_state7 != last_state7 != input_state11 and pic07:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK07])
        print(STCK07)
        if player:
            os.system('killall omxplayer.bin')

# Taster 7 - Ein /// Umschalter Ein- pic 
    if input_state7a != last_state7a and pic07a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK07a])
        print(STCK07a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 8 - Ein /// Umschalter Aus- pic 

    if input_state8 != last_state8 != input_state11 and pic08:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK08])
        print(STCK08)
        if player:
            os.system('killall omxplayer.bin')

# Taster 8 - Ein /// Umschalter Ein- pic 
    if input_state8a != last_state8a and pic08a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK08a])
        print(STCK08a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 9 - Ein /// Umschalter Aus- pic 
    if input_state9 != last_state9 != input_state11 and pic09:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK09])
        print(STCK09)
        if player:
            os.system('killall omxplayer.bin')

# Taster 9 - Ein /// Umschalter Ein- pic 
    if input_state9a != last_state9a and pic09a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK09a])
        print(STCK09a)
        if player:
            os.system('killall omxplayer.bin')

# Taster 10 - Ein /// Umschalter Aus- pic 
    if input_state10 != last_state10 != input_state11 and pic10:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK10])
        print(STCK10)
        if player:
            os.system('killall omxplayer.bin')

# Taster 10 - Ein /// Umschalter Ein- pic 
    if input_state10a != last_state10a and pic10a:
        os.system("killall feh")
        time.sleep(0)
        subprocess.Popen(['feh', '-F', '-Z', STCK10a])
        print(STCK10a)
        if player:
            os.system('killall omxplayer.bin')

#------------------------------
# Taster - Pause)
#   #Abspielstatus feststellen
    if Ta_pau == True:
        Stat_omxc = omxc.poll()
# Abspielpause wenn Medium noch läuft
    if Ta_pau == True and Stat_omxc == None:
        Stat_omxc = omxc.poll()
        print ("Pause")
        omxc.stdin.write('p')
#LED- Meldung - Pause on

    if Ta_pau == True and Merker == 0 and Stat_omxc == None:
            time.sleep(0.3)
            Merker = 1 
#LED- Meldung - Pause off
    elif Ta_pau == True and Merker == 1:
            Merker = 0
            time.sleep(0.3)

#Taster "break" Wiedergabe beenden
    if quit_audio == True:
        os.system('killall omxplayer.bin')
        os.system("killall feh")
        subprocess.Popen(['feh', '-F', '-Z', STCK00])
        player = False

#Set last_input states
    last_state1 = input_state1
    last_state2 = input_state2
    last_state3 = input_state3
    last_state4 = input_state4
    last_state5 = input_state5
    last_state6 = input_state6
    last_state7 = input_state7
    last_state8 = input_state8
    last_state9 = input_state9
    last_state10 = input_state10
    last_state12 = input_state12

    last_state1a = input_state1a
    last_state2a = input_state2a
    last_state3a = input_state3a
    last_state4a = input_state4a
    last_state5a = input_state5a
    last_state6a = input_state6a
    last_state7a = input_state7a
    last_state8a = input_state8a
    last_state9a = input_state9a
    last_state10a = input_state10a


